Difference between revisions of "Discouraged WordPress Plugins"


(New article on wordpress plugins that we do not recommend)
 
Line 5: Line 5:
  
 
To ensure you have the best experience using WordPress, it may be helpful to explore this article on which plugins may affect your website’s performance, and security.
 
To ensure you have the best experience using WordPress, it may be helpful to explore this article on which plugins may affect your website’s performance, and security.
 +
  
 
=== Category: Backup Plugins ===
 
=== Category: Backup Plugins ===
Line 22: Line 23:
  
 
If you prefer to use a backup plugin, please use a plugin that allows remote storage backups.
 
If you prefer to use a backup plugin, please use a plugin that allows remote storage backups.
 +
  
 
==== Examples of Backup Plugins ====
 
==== Examples of Backup Plugins ====
Line 55: Line 57:
 
=== Category: Similar Posts / Related Posts ===
 
=== Category: Similar Posts / Related Posts ===
 
Plugins for related posts provide a method to display similar posts on your website by using the same taxonomy terms. While on the surface these may appear very useful, these plug-ins can affect the performance of your website by increasing the load on your database, some of these plug-ins have poorly optimised queries, and caching issues.
 
Plugins for related posts provide a method to display similar posts on your website by using the same taxonomy terms. While on the surface these may appear very useful, these plug-ins can affect the performance of your website by increasing the load on your database, some of these plug-ins have poorly optimised queries, and caching issues.
 +
  
 
==== Examples of related posts plug-ins, some of which are blacklisted by other hosts: ====
 
==== Examples of related posts plug-ins, some of which are blacklisted by other hosts: ====

Revision as of 14:24, 12 April 2022

As many WordPress users would agree, plugins can be beneficial and convenient to use when creating and managing a WordPress website. With thousands of plugins available for use, there are also many plugins that can hinder the performance of your website.


While Bravenet does not prohibit the use of any particular WordPress plugin, there are certain types of plugins that we do not recommend because they may degrade the performance of your website.

To ensure you have the best experience using WordPress, it may be helpful to explore this article on which plugins may affect your website’s performance, and security.


Category: Backup Plugins

While Bravenet encourages taking back-ups of your websites and databases, we do not recommend the route of using a backup plugin that stores backups onsite. It is also important to note, as per our Terms of Service we do reserve the right to request removal of old backups if they are degrading the performance of our services (for more information, please see our complete Terms of Service: http://www.bravenet.com/global/tos.php).


Backup plugins can end up using large amounts of your hosting storage, storing multiple complete-backups of your website weekly, or even daily depending on the settings, directly in your website storage. In fact, Bravenet performs rolling snapshots of all user data and we do have access to a limited set of backups, so backups that are scheduled this frequently should not be necessary. It is also important to mention that backup plugins can be very resource-hungry and degrade your website’s performance.


Solution: It’s best to use a simple SFTP program such as FileZilla to manually backup your files directly to your computer or another storage location. You can also backup your database quickly through our PhpMyAdmin interface.

For guides on how to back up your website and database using these methods, please see our articles listed below:


If you prefer to use a backup plugin, please use a plugin that allows remote storage backups.


Examples of Backup Plugins

Name Link Notes
Updraft Plus** https://en-ca.wordpress.org/plugins/updraft/ ** Please ensure you select a remote storage location or else your backups will be placed in your web hosting storage.

You can select a remote storage location in WordPress admin under Settings > Updraftplus Backups > Settings tab.

Jetpack** https://en-ca.wordpress.org/plugins/jetpack/ ** Refrain from manually downloading backups to your hosted website storage.
BackupBuddy https://ithemes.com/backupbuddy/
VaultPress** https://en-ca.wordpress.org/plugins/vaultpress/ ** Refrain from manually downloading backups to your hosted  website storage.
The Codetree Backup https://wordpress.org/support/plugin/the-codetree-backup/


Category: Similar Posts / Related Posts

Plugins for related posts provide a method to display similar posts on your website by using the same taxonomy terms. While on the surface these may appear very useful, these plug-ins can affect the performance of your website by increasing the load on your database, some of these plug-ins have poorly optimised queries, and caching issues.


Examples of related posts plug-ins, some of which are blacklisted by other hosts:

Name Link
Similar Posts https://wordpress.org/plugins/similar-posts/
Wordpress Popular Posts https://wordpress.org/plugins/wordpress-popular-posts/
Contextual Related Posts https://wordpress.org/plugins/contextual-related-posts/


Category: SEO Plug-ins

SEO plugins can be very resource intensive and cause scalability issues, especially in larger websites. The plugins listed below have been reported to cause website performance issues.

Name Link
Yoast SEO (wordpress-seo) https://en-ca.wordpress.org/plugins/wordpress-seo/
Seo-Alrp https://wordpress.org/plugins/seo-alrp/ (Discontinued Nov 2020)
Broken Link Checker https://wordpress.org/plugins/broken-link-checker/
Google Sitemap Generator https://wordpress.org/plugins/www-xml-sitemap-generator-org/


Category: Security Issues

We always recommend keeping your WordPress version and plugins up-to-date to ensure your website is secure. Please note the below list is not a comprehensive list of all plugins with known vulnerabilities. If you have a plugin listed below, please ensure your plugins are updated to a version higher than listed below to keep your website safe.

Name Link Version Affected
PublishPress Capabilities https://wordpress.org/plugins/capability-manager-enhanced/ Version 2.3 or lower
Kiwi Social Plugin https://wordpress.org/plugins/kiwi-social-share/ Version 2.0.10 or lower
Pinterest Automatic https://codecanyon.net/item/pinterest-automatic-pin-wordpress-plugin/2203314 Version 4.14.3 or lower
WordPress Automatic https://codecanyon.net/item/wordpress-automatic-plugin/1904470 Version 3.53.2 or lower
Easy login WooCommerce https://wordpress.org/plugins/easy-login-woocommerce/ Version 2.2 or lower
Waitlist WooCommerce https://wordpress.org/plugins/waitlist-woocommerce/ Version 2.5.1 or lower
side-cart WooCommerce https://wordpress.org/plugins/side-cart-woocommerce/ Version 2.0 or lower